{: test a compilation error occurs if fixed point precision < 0 }

{$d+}
program e004( output );

var
   n    : integer;

begin {e004}

   writeln( 12.3:5:1 );    { OK }
   writeln( 12.3:5:-1 );   { !!! precision field width < 0 }
   writeln( 'fails: write real format error not detected' );

end. { e004 }

